Bug 1276784 - [abrt] devhelp: g_slice_free_chain_with_offset(): devhelp killed by SIGSEGV
Summary: [abrt] devhelp: g_slice_free_chain_with_offset(): devhelp killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: devhelp
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b8eed3fb1edc853c4f3b7a41918...
: 1507665 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-30 21:34 UTC by Christian Stadelmann
Modified: 2018-05-21 19:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 19:18:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.98 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (4.49 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: dso_list (13.64 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: maps (67.59 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: open_fds (6.52 KB, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-10-30 21:34 UTC, Christian Stadelmann
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 789862 0 None None None 2017-11-03 13:26:47 UTC

Description Christian Stadelmann 2015-10-30 21:34:10 UTC
Version-Release number of selected component:
devhelp-3.16.1-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        devhelp
crash_function: g_slice_free_chain_with_offset
executable:     /usr/bin/devhelp
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_slice_free_chain_with_offset at gslice.c:1165
 #1 g_list_free at glist.c:182
 #2 g_completion_add_items at deprecated/gcompletion.c:159
 #3 sidebar_completion_add_book at dh-sidebar.c:122
 #4 sidebar_book_created_or_enabled_cb at dh-sidebar.c:145

Comment 1 Christian Stadelmann 2015-10-30 21:34:15 UTC
Created attachment 1088049 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-10-30 21:34:16 UTC
Created attachment 1088050 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2015-10-30 21:34:18 UTC
Created attachment 1088051 [details]
File: dso_list

Comment 4 Christian Stadelmann 2015-10-30 21:34:19 UTC
Created attachment 1088052 [details]
File: limits

Comment 5 Christian Stadelmann 2015-10-30 21:34:21 UTC
Created attachment 1088053 [details]
File: maps

Comment 6 Christian Stadelmann 2015-10-30 21:34:23 UTC
Created attachment 1088054 [details]
File: open_fds

Comment 7 Christian Stadelmann 2015-10-30 21:34:24 UTC
Created attachment 1088055 [details]
File: proc_pid_status

Comment 8 Fedora End Of Life 2016-07-19 18:22:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Debarshi Ray 2017-11-03 13:22:20 UTC
I think this bug is still alive and kicking in Fedora 26. See bug 1507665.

Comment 10 Debarshi Ray 2017-11-03 13:22:27 UTC
*** Bug 1507665 has been marked as a duplicate of this bug. ***

Comment 11 Fedora End Of Life 2018-05-03 08:46:35 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Christian Stadelmann 2018-05-21 19:18:49 UTC
Fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.